Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608525 - perl is missing for compiling external kernel modules
perl is missing for compiling external kernel modules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 21:56 EDT by Horst H. von Brand
Modified: 2010-07-09 04:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 04:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2010-06-27 21:56:14 EDT
Description of problem:
I tried to compile the external module for a RTL 8192e WiFi card for kernel-2.6.35-0.2.rc3.git0.fc14.x86_64 (on an almost minimal install, I wanted to move over to rawhide afterwards). Running make (which mostly just calls into the kernel build system) complains that perl isn't available.

Version-Release number of selected component (if applicable):
kernel-devel-2.6.35-0.2.rc3.git0.fc14.x86_64

How reproducible:
Always (I assume)

Steps to Reproduce:
1. Try to compile the rtl8192se_linux_2.6.0017.0507.2010 driver from Realtek
2.
3.
  
Actual results:
Tries to run (non-existent) perl

Expected results:
Built module

Additional info:
Comment 1 Dave Jones 2010-06-29 16:12:26 EDT
added a requires: to kernel-devel for the next build.

Note You need to log in before you can comment on or make changes to this bug.